Bug 46735 - [4.3] Password dialog cannot be confirmed by pressing Enter - mouse click is required
[4.3] Password dialog cannot be confirmed by pressing Enter - mouse click is ...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Ole Schwiegert
Dirk Wiesenthal
:
Depends on:
Blocks: 46882
  Show dependency treegraph
 
Reported: 2018-03-23 18:19 CET by Sönke Schwardt-Krummrich
Modified: 2018-05-16 17:04 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.017
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2018-03-23 18:19:12 CET
If the UMC user has logged on via SAML, there is no cleartext password available within the UMC modules. The exam module requires the password to establish a UMCP connection to the DC master. To get the required cleartext password, the user is asked before starting the exam by using the decorator "require_password" for "start_exam()".

This password dialog cannot be confirmed by pressing "Enter" after entering the password. A mouse click at the login button is required. 

Expected behaviour: pressing "Enter" should be sufficient
Comment 1 Erik Damrose univentionstaff 2018-03-26 09:37:39 CEST
I think this is a general issue, not only in UCS@School
Comment 2 Ole Schwiegert univentionstaff 2018-04-24 09:55:15 CEST
The problem can be fixed by setting the submit button as the forms default button. After doing that you can confirm the dialog with enter. This fix would be affecting all require_password dialogs in umc.

While testing I realized that in this form the deactivated input field for the username is the first focused element, so to enter the password you have to focus the passwords input first. Is that the desired behavior or should it be directly possible to enter the password after the dialog pops up?
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2018-04-25 13:48:19 CEST
(In reply to Ole Schwiegert from comment #2)
> The problem can be fixed by setting the submit button as the forms default
> button. After doing that you can confirm the dialog with enter. This fix
> would be affecting all require_password dialogs in umc.
> 
> While testing I realized that in this form the deactivated input field for
> the username is the first focused element, so to enter the password you have
> to focus the passwords input first. Is that the desired behavior or should
> it be directly possible to enter the password after the dialog pops up?
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2018-04-25 13:49:57 CEST
(In reply to Ole Schwiegert from comment #2)
> The problem can be fixed by setting the submit button as the forms default
> button. After doing that you can confirm the dialog with enter. This fix
> would be affecting all require_password dialogs in umc.

Please prepare an erratum for UCS 4.3-0.
 
> While testing I realized that in this form the deactivated input field for
> the username is the first focused element, so to enter the password you have
> to focus the passwords input first. Is that the desired behavior or should
> it be directly possible to enter the password after the dialog pops up?

Yes, I would suggest to focus the password field automatically.
Comment 5 Ole Schwiegert univentionstaff 2018-04-26 09:19:41 CEST
I prepared an erratum on oschwieg/4.3-0/46735.

The login button can be activated by pressing Enter and the username field is now a normal Text (instead of Textbox) to ensure the password field is focused. (As discussed with Johannis and Sönke)
Comment 6 Ole Schwiegert univentionstaff 2018-04-26 12:04:01 CEST
Package: univention-management-console
Version: 10.0.6-1A~4.3.0.201804261158
Comment 7 Arvid Requate univentionstaff 2018-05-02 11:15:00 CEST
Misformed advisory triggers Bug #46916
Comment 8 Quality Assurance univentionstaff 2018-05-04 16:43:40 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-0-errata/source/univention-management-console_10.0.5-1A~4.3.0.201804181755.dsc
+++ apt/ucs_4.3-0-errata4.3-0/source/univention-management-console_10.0.6-1A~4.3.0.201804261158.dsc
@@ -1,6 +1,10 @@
-10.0.5-1A~4.3.0.201804181755 [Wed, 18 Apr 2018 17:55:57 +0200] Univention builddaemon <buildd@univention.de>:
+10.0.6-1A~4.3.0.201804261158 [Thu, 26 Apr 2018 11:58:56 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+10.0.6-1 [Thu, 26 Apr 2018 10:31:52 +0200] Ole Schwiegert <schwiegert@univention.de>:
+
+  * Bug #46735: Improve usability of requirePassword login dialog
 
 10.0.5-1 [Wed, 18 Apr 2018 17:06:52 +0200] Erik Damrose <damrose@univention.de>:
Comment 9 Ole Schwiegert univentionstaff 2018-05-08 09:52:40 CEST
The misformed advisory problem should be fixed now.
Comment 10 Dirk Wiesenthal univentionstaff 2018-05-16 10:47:37 CEST
Okay
Comment 11 Arvid Requate univentionstaff 2018-05-16 17:04:16 CEST
<http://errata.software-univention.de/ucs/4.3/38.html>